Name:          qps
Version:       2.11.1
Release:       1mamba
Summary:       Qt Process Manager
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/qps
Source:        https://github.com/lxqt/qps.git/%{version}/qps-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: liblxqt-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Qt Process Manager.


%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} --with-qt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/qps
%{_datadir}/applications/qps.desktop
%{_datadir}/metainfo/org.lxqt.Qps.appdata.xml
%{_datadir}/icons/hicolor/48x48/apps/qps.png
%{_mandir}/man1/qps.1*
%doc COPYING

%changelog
* Fri May 23 2025 Automatic Build System <autodist@openmamba.org> 2.11.1-1mamba
- automatic version update by autodist

* Sat Apr 26 2025 Automatic Build System <autodist@openmamba.org> 2.11.0-1mamba
- automatic version update by autodist

* Sat Nov 09 2024 Automatic Build System <autodist@openmamba.org> 2.10.0-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 2.9.0-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Tue Apr 18 2023 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Sat Apr 17 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- package created using the webbuild interface
